Black Friday savings through November 27.
search

What phones do you support and where do I download the apps?

Nold works on all modern iPhone and Android phones. You need at least an iPhone 4s running iOS 8+, or an Android phone with Jelly Bean (4.3) or newer. Your phone must also support Bluetooth Low Energy (Bluetooth® 4.0).

You can download the app from the App Store or Google Play, just search for Nold Open or visit https://nold.io/app on your phone and you'll be redirected to the app automatically.

iOS: Download

Android: Download

Close

Your cart

Subtotal Checkout